{% extends 'Default/index.html.twig' %}

{% block stylesheets %}
  {{ parent() }}

{% endblock %}

{% block javascripts %}
  {{ parent() }}
{% endblock %}

{% block main_content %}

  <section id="intro" class="container px-4 my-4">
    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2">
        <h1>{{ subscriptionService.name }}</h1>
        <p><i>{{ subscriptionService.description | striptags }}</i></p>
        <div>
          {% for tag in subscriptionService.tags %}
            <div class="chip chip-simple chip-lg">
              <span class="chip-label">{{ tag }}</span>
            </div>
          {% endfor %}
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2 mt-4">
        <div id="no-more-tables" class="table-striped">
          <table class="table table-bordered table-striped table-condensed cf">
            <tbody>
            <tr>
              <th>{{ 'iscrizioni.codice' | trans }}</th>
              <td>{{ subscriptionService.code }}</td>
            </tr>
            <tr>
              <th>{{ 'iscrizioni.duration' | trans }}</th>
              <td>{{ 'from_date_to_date' | trans({
                  '%from%': subscriptionService.beginDate|format_date( locale=app.request.locale),
                  '%to%': subscriptionService.endDate|format_date( locale=app.request.locale)
                }) }}</td>
            </tr>
            <tr>
              <th>{{ 'iscrizioni.subscriptions_available' | trans }}</th>
              <td>
                {{ 'from_date_to_date' | trans({
                  '%from%': subscriptionService.subscriptionBegin|format_date( locale=app.request.locale),
                  '%to%': subscriptionService.subscriptionEnd|format_date( locale=app.request.locale)
                }) }}
                </td>
            </tr>
            <tr>
              <th>{{ 'iscrizioni.subscribers_number' | trans }}</th>
              <td>
                {% if subscriptionService.subscribersLimit %}{{ subscriptionService.subscriptions.count }} / {{ subscriptionService.subscribersLimit }}
                {% else %} {{ subscriptionService.subscriptions.count }}
                {% endif %}
              </td>
            </tr>
            <tr>
              <th>{{ 'iscrizioni.messaggio_iscrizione' | trans }}</th>
              <td>
                {% if subscriptionService.subscriptionMessage %}{{ subscriptionService.subscriptionMessage | striptags }}
                {% else %} ---
                {% endif %}
              </td>
            </tr>
            <tr>
              <th>{{ 'iscrizioni.messaggio_inizio' | trans }}</th>
              <td>
                {% if subscriptionService.beginMessage %}{{ subscriptionService.beginMessage | striptags }}
                {% else %} ---
                {% endif %}
              </td>
            </tr>
            <tr>
              <th>{{ 'iscrizioni.messaggio_fine' | trans }}</th>
              <td>
                {% if subscriptionService.endMessage %}{{ subscriptionService.endMessage | striptags }}
                {% else %} ---
                {% endif %}
              </td>
            </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2">
        <h3>{{ 'backoffice.integration.subscription_service.payments' | trans }}</h3>
        <div class="mb-5">
          {% if subscriptionService.subscriptionPayments | length == 0 %}
            <i>{{ 'iscrizioni.no_payment_settings' | trans }}</i>
          {% else %}
          <table class="my-5 table table-striped table-condensed">
            <thead>
            <tr>
              <th>{{ 'backoffice.integration.subscription_service.payment.type' | trans }}</th>
              <th>{{ 'backoffice.integration.subscription_service.payment.identifier' | trans }}</th>
              <th>{{ 'backoffice.integration.subscription_service.payment.due_date' | trans }}</th>
              <th>{{ 'backoffice.integration.subscription_service.payment.amount' | trans }}</th>
              <th>{{ 'backoffice.integration.subscription_service.payment.solvent_subscriber' | trans }}</th>
            </tr>
            </thead>
            <tbody>
            {% for paymentSetting in subscriptionService.subscriptionPayments %}
              <tr>
                <td>{{  ('backoffice.integration.subscription_service.payment.text_' ~ paymentSetting.type) | trans }}</td>
                <td>{{ paymentSetting.paymentIdentifier }}</td>
                <td>{{ paymentSetting.date | format_date( locale=app.request.locale)  }}</td>
                <td>{{ paymentSetting.amount }} €</td>
                <td><a href="{{ path('operatori_subscription-service_payments_show', {'subscriptionService': subscriptionService.id, 'identifier': paymentSetting.paymentIdentifier | url_encode }) }}">
                    {{ payments[paymentSetting.paymentIdentifier] }}/ {{ subscriptionService.subscriptions | length }}
                  </a></td>
              </tr>
            {% endfor %}
            </tbody>
          </table>
          {% endif %}
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-8">
        <a class="btn btn-100 btn-sm" href="{{ path('operatori_subscription-service_index') }}">{{ 'iscrizioni.back_to_list' | trans }}</a>
        <a class="btn btn-primary btn-sm"
           href="{{ path('operatori_subscriptions', { 'subscriptionService': subscriptionService.id }) }}">{{ 'iscrizioni.subscriptions' | trans }}</a>
        <a class="btn btn-warning btn-sm"
           href="{{ path('operatori_subscription-service_edit', { 'subscriptionService': subscriptionService.id }) }}">{{ 'modifica' | trans }}</a>
      </div>
      <div class="col-4">
        {{ form_start(delete_form) }}
        <div>
          <a class="btn btn-danger btn-sm float-right"
             onclick="return confirm('{{ 'operatori.delete_subscription_service' | trans }}');"
             href="{{ path('operatori_subscription-service_delete', { 'id': subscriptionService.id }) }}">{{ 'elimina' | trans }}</a>
          {{ form_end(delete_form) }}
        </div>
      </div>
    </div>
  </section>
{% endblock %}

